<?php 
$wp_customize->add_section( 'peccular_footer_setting' , array(
    'title'    => __( 'Footer Setting', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel1'
) );
$wp_customize->add_setting('peccular_footer_nav', array(
 'sanitize_callback' => 'wp_kses_post',
));
$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
 'section' => 'peccular_footer_setting',
 'priority' => 1,
 'buttons' => array(
  array(
   'name' => esc_html__('General', 'peccular-premium'),
   'icon' => 'dashicons dashicons-welcome-write-blog',
   'fields' => array(
    'peccular_footer_copyrighttext',
    'peccular_privacybtn',
    'peccular_tconlink',
    'peccular_tcobtn',
    'peccular_tconlink'
),
   'active' => true,
),
  array(
    'name' => esc_html__('Style', 'peccular-premium'),
    'icon' => 'dashicons dashicons-art',
    'fields' => array(                      
       'peccular_footer_section_bg_color',
       'peccular_footer_section_bg_image',
       'peccular_footer_image_opacity',
       'peccular_footer_box_align', 
       'peccular_footer_copyright_align',   
       'peccular_footer_contnt_bg_color', 
       'peccular_footer_heading_color',
       'peccular_footer_text_color',
       'peccular_footer_icon_color',
       'peccular_footer_sicon_color',
       'peccular_footer_siconhover_color',
       'peccular_footer_menu_color',
       'peccular_footer_menuhover_color',
       'peccular_footer_cntct_ovrly_color',
       'peccular_footer_btmphnicn_color',
       'peccular_footer_btmphnbg_color',
       'peccular_footer_bttBG_color',
       'peccular_footer_bttmtext_color',
       'peccular_footer_bttmtext_color',
       'peccular_footer_btmphnicn_color',
       'peccular_footer_formtxt_color', 
       'peccular_footer_btmphnbg_color', 
       'peccular_footer_copytxt_color',
       'peccular_footer_borderc_color', 
       'peccular_footer_copytxtdotic_color',
       'peccular_footer_menuic_color',
       'peccular_footer_siconbg_color',
       'peccular_footer_siconbrs_color', 
       'peccular_footer_menuother_color',
       'peccular_footer_menuotherbg_color',
       'peccular_footer_menuotherhbg_color', 
       'peccular_footer_menuicon_color'
   ),
),
  array(
    'name' => esc_html__('Layout', 'peccular-premium'),
    'icon' => 'dashicons dashicons-layout',
    'fields' => array(
        'peccular_footer_padding',
        'peccular_footer_section_top_t_padding',
        'peccular_footer_section_top_b_padding',
        'peccular_footer_padding1',
        'peccular_footer_section_bottom_t_padding',
        'peccular_footer_section_bottom_b_padding',     
        'peccular_footer_section_width'
    ),
)
),
)));
$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Copyright © Insurance Company 2024. All Rights Reserved.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
          'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);
$wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
 'default' => '',
 'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
    'label' => __('Section BG Color','peccular'),
    'section' => 'peccular_footer_setting',
)));
$wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
    'label' => __('Section BG Image','peccular'),
    'section' => 'peccular_footer_setting',
)));
$wp_customize->add_setting('peccular_footer_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Section BG Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));
$wp_customize->add_setting('peccular_footer_box_align',array(
    'default' => 'Left',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_box_align',array(
    'type' => 'select',
    'label' => __('Footer Content Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_copyright_align',array(
    'default' => 'Left',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_copyright_align',array(
    'type' => 'select',
    'label' => __('Copyright Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_footer_setting',
));
addColorPalatOption($wp_customize, 'peccular_footer_borderc_color', 'peccular_footer_setting', 'Footer Border Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_siconbg_color', 'peccular_footer_setting', 'Social Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconbrs_color', 'peccular_footer_setting', 'Social Icon Border Color', '');


addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_menuhover_color', 'peccular_footer_setting', 'Menu Hover Color ', ''); 
addColorPalatOption($wp_customize, 'peccular_footer_menuic_color', 'peccular_footer_setting', 'Menu Icon Color ', ''); 

addColorPalatOption($wp_customize, 'peccular_footer_menuother_color', 'peccular_footer_setting', 'Other Icon Color ', ''); 
addColorPalatOption($wp_customize, 'peccular_footer_menuotherbg_color', 'peccular_footer_setting', 'Other Icon BG Color ', ''); 
addColorPalatOption($wp_customize, 'peccular_footer_menuotherhbg_color', 'peccular_footer_setting', 'Other Icon Hover Color ', ''); 

addColorPalatOption($wp_customize, 'peccular_footer_formtxt_color', 'peccular_footer_setting', 'Form Text Color ', '');
//addColorPalatOption($wp_customize, 'peccular_footer_bttBG_color', 'peccular_footer_setting', 'Footer Bottom BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_bttmtext_color', 'peccular_footer_setting', 'Form Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_btmphnicn_color', 'peccular_footer_setting', 'Form Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_btmphnbg_color', 'peccular_footer_setting', 'Form Button BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_copytxt_color', 'peccular_footer_setting', 'Bottom Footer Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_copytxtdotic_color', 'peccular_footer_setting', 'Bottom Footer Dot Icon Color ', '');


$wp_customize->add_setting('peccular_footer_padding',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_footer_padding',array(
  'label' => __('Top Footer Padding','peccular'),
  'section' => 'peccular_footer_setting'
));
$wp_customize->add_setting('peccular_footer_section_top_t_padding',array(
    'default' => '3',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_section_top_b_padding',array(
    'default' => '6',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting('peccular_footer_padding1',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_footer_padding1',array(
  'label' => __('Copyright Box Padding','peccular'),
  'section' => 'peccular_footer_setting'
));
$wp_customize->add_setting('peccular_footer_section_bottom_t_padding',array(
    'default' => '1.3',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_section_bottom_b_padding',array(
    'default' => '1.5',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_section_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_footer_setting',
));


$wp_customize->add_setting(
    'peccular_privacybtn',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Privacy Policy', 'template-premium' )
    )
);
$wp_customize->add_control(
    'peccular_privacybtn',
    array(
        'settings'      => 'peccular_privacybtn',
        'section'       => 'peccular_footer_setting',
        'type'          => 'text',
        'label'         => __( 'Privacy Policy Text', 'template-premium' )
    )
);
$wp_customize->add_setting('peccular_privacylink',   array('default'=> 'Add Link Here:', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_privacylink',
    array(
        'settings'      => 'peccular_privacylink',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Link:', 'peccular' )
    )
);    

$wp_customize->add_setting( 
    'peccular_tcobtn',
    array( 
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Terms & Condition', 'template-premium' )
    )
);
$wp_customize->add_control(
    'peccular_tcobtn',
    array(
        'settings'      => 'peccular_tcobtn',
        'section'       => 'peccular_footer_setting',
        'type'          => 'text',
        'label'         => __( 'Terms & Condition Text', 'template-premium' )
    )
);
$wp_customize->add_setting('peccular_tconlink',   array('default'=> 'Add Link Here:', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_tconlink',
    array(
        'settings'      => 'peccular_tconlink',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Add Link:', 'peccular' )
    )
);  
?>