<?php   
// /HEADER SETTINGS IN CUSTOMIZER
$lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
));

$wp_customize->add_panel( $lvl1ParentPanel );

$lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
));  

$wp_customize->add_panel( $lvl2ParentPanel );

  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
));

//Bottom Header
$wp_customize->add_section( 'peccular_header_section' , array(
    'title'    => __( 'All Settings', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel2'
) );
$wp_customize->add_setting('peccular_headersetting_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_headersetting_nav', array(
   'section' => 'peccular_header_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
             'peccular_header_style',
             'peccular_show_sticky_header',
             'header_top_tagline',
             'header__shoplink', 
             'peccular_topbar_display', 
             'header__top_link',
             'singnin_text',
             'header_top_email',
             'header_top_socialtagline',
             'peccular_header_fb',
             'peccular_header_tw',
             'peccular_header_instagram',
             'header__womencategories',
             'header__womencategorieslink',
             'peccular_headercat_categories',
             'header__mencategories',
             'header__mencategorieslink',
             'peccular_header_sbutton_enable',
             'peccular_mainheadbtnbx_display',
             'peccular_heraderbutton',
             'peccular_header_pinterest',
             'peccular_heraderbuttonlink',
             'peccular_checkoutbtnlink',
             'peccular_headermyacccbtnlink', 
             'singnin_textlink'              
         ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(
         'header_SiteTitleColor',
         'header_SiteTaglineColor',
         'headerphone_label_color',
         'headerphone_color',
         'headereemailhove_color',
         'headerephoneicon_color',
         'peccular_header_image_opacity',
         'headerphoneiconbrdr_color',
         'headersearbutton_color',
         'headersearbuttonbg_color',
         'header_allbgColor',
         'headerseartxt_color',
         'headercheckoutcont_color',
         'headercheckoutbtn_color', 
         'headercheckoutbtnbg_color',
         'headercaticon_color',
         'headercaticonbg_color',
         'headercaticonlink_color',
         'headercaticonlinkbg_color',
         'headercaticonlinkhover_color', 
         'headercaticonlinkbrs_color', 
         'headersearbgx_color', 
         'header_offertagsignlColor',
         'headersearbgxactive_color',
         'headercheckoutbxbg2_color',
         'headercheckoutbxbgb3_color',
         'headercheckoutboxbg3c_color', 
         'headerboxptitle_color', 
         'headerboxptitleqty_color', 
         'headerboxpother_color',
         'headercartbtn_color',
         'headercartbtnhvr_color',
         'headercartbtnbrs_color', 
         'headercounticonbg_color',
         'headercountico_color',
         'headercartcheckhover_color',
         'headersocialico_color',
         'headersocialicohover_color',
         'headersociallabel_color',
         'headersociallabelbg_color',
         'headercaticonlinkborder_color',
         'header_bgColor'
     ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(
            'peccular_header_width'
        ),
    )
  ),
)));

// to show & hide another button
$wp_customize->add_setting( 'peccular_topbar_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_topbar_display', array( 'label' => 'Top Bar Display', 'section' => 'peccular_header_section', 'settings' => 'peccular_topbar_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Top Bar', 'hide' => 'Hide Top Bar', ), ) ); 
// end to show & hide button 

$wp_customize->add_setting('peccular_header_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_header_image_opacity',array(
    'label' => __('Header Image Opacity','peccular'),
    'section' => 'peccular_header_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));
$wp_customize->add_setting('header_top_tagline',array(
    'sanitize_callback' => 'peccular_sanitize_text',
    'default' => __('Your Safety, Our Priority.','peccular-premium')
));
$wp_customize->add_control('header_top_tagline',array(
    'settings'      => 'header_top_tagline',
    'type' => 'text',
    'label' => __('Header Tagline','peccular-premium'),
    'section' => 'peccular_header_section',
));
$wp_customize->add_setting(
    'header_top_email',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'xyzasdfinfo@support.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'header_top_email',
    array(
        'settings'      => 'header_top_email',
        'section'       => 'peccular_header_section', 
        'type'          => 'text',
        'label'         => __( 'Email Id', 'peccular' )
    )
);

$wp_customize->add_setting(
    'header_top_socialtagline',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Follow Us :', 'peccular' )
    )
);
$wp_customize->add_control(
    'header_top_socialtagline',
    array(
        'settings'      => 'header_top_socialtagline',
        'section'       => 'peccular_header_section', 
        'type'          => 'text',
        'label'         => __( 'Social Tagline', 'peccular' )
    )
);


// FACEBOOK 
$wp_customize->add_setting('peccular_header_fb',  array('default'=> '//facebook.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_fb',
    array(
        'settings'      => 'peccular_header_fb',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Facebook Url Here', 'ClassicTemplate' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_header_tw', array('default'=> '//twitter.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_tw',
    array(
        'settings'      => 'peccular_header_tw',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Twitter Url Here', 'ClassicTemplate' )
    )
);
// Instagram
$wp_customize->add_setting('peccular_header_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_instagram',
    array(
        'settings'      => 'peccular_header_instagram',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Instagram Url Here', 'ClassicTemplate' )
    )
);
// Instagram
$wp_customize->add_setting('peccular_header_pinterest', array('default' => 'https://www.pinterest.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_header_pinterest',
    array(
        'settings'      => 'peccular_header_pinterest',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Pinterest Url Here', 'ClassicTemplate' )
    )
);

// to show & hide another button
$wp_customize->add_setting( 'peccular_mainheadbtnbx_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_mainheadbtnbx_display', array( 'label' => 'Button Display', 'section' => 'peccular_header_section', 'settings' => 'peccular_mainheadbtnbx_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button 

$wp_customize->add_setting(
    'peccular_heraderbutton',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get A Quote', 'template-premium' )
    )
);
$wp_customize->add_control(
    'peccular_heraderbutton',
    array(
        'settings'      => 'peccular_heraderbutton',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'template-premium' )
    )
);
$wp_customize->add_setting('peccular_heraderbuttonlink',   array('default'=> 'Add Link Here:', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_heraderbuttonlink',
    array(
        'settings'      => 'peccular_heraderbuttonlink',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'peccular' )
    )
);   


addColorPalatOption($wp_customize, 'header_offertagsignlColor', 'peccular_header_section', 'Offer Tagline Color', '');
addColorPalatOption($wp_customize, 'header_allbgColor', 'peccular_header_section', 'Header BG Color', '');
addColorPalatOption($wp_customize, 'header_bgColor', 'peccular_header_section', 'Top Bar BG Color', '');
addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');
//addColorPalatOption($wp_customize, 'headerephoneicon_color', 'peccular_header_section', 'Category Icon Color', '');
addColorPalatOption($wp_customize, 'headerphone_label_color', 'peccular_header_section', 'Email Id Color', '');
// addColorPalatOption($wp_customize, 'headerphone_color', 'peccular_header_section', 'Checkout Box Count Number Color', '');
// addColorPalatOption($wp_customize, 'headerphoneiconbrdr_color', 'peccular_header_section', 'Checkout Box Count Number BG Color', '');
addColorPalatOption($wp_customize, 'headereemailhove_color', 'peccular_header_section', 'Email Icon Color', '');
addColorPalatOption($wp_customize, 'headersearbutton_color', 'peccular_header_section', 'Social Tagline Color', '');
addColorPalatOption($wp_customize, 'headersearbuttonbg_color', 'peccular_header_section', 'Social Icon Color', '');

addColorPalatOption($wp_customize, 'headerseartxt_color', 'peccular_header_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'headersearbgx_color', 'peccular_header_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'headersearbgxactive_color', 'peccular_header_section', 'Button Border Color', '');
addColorPalatOption($wp_customize, 'headercounticonbg_color', 'peccular_header_section', 'Button Hover BG Color', '');


$wp_customize->add_setting('peccular_header_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_header_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_header_section',
));

$choices = getWooCategories($isObject = false, $id=0, $isParents = 0);

lzCheckBoxElement($wp_customize, 'peccular_headercat_categories', 'peccular_header_section', $choices, $default=0, $label=__('Please Select The Categories To Show', 'Peccular'));

?>